org.apache.xmlgraphics.image.codec.png

## Class PNGRed

- java.lang.Object
- - org.apache.xmlgraphics.image.rendered.AbstractRed
  - - org.apache.xmlgraphics.image.codec.png.PNGRed

- All Implemented Interfaces:
    java.awt.image.RenderedImage, CachableRed

      public class PNGRed
      extends AbstractRed

  Version:
    $Id$

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PNG_COLOR_GRAY`
    `static int` | `PNG_COLOR_GRAY_ALPHA`
    `static int` | `PNG_COLOR_PALETTE`
    `static int` | `PNG_COLOR_RGB`
    `static int` | `PNG_COLOR_RGB_ALPHA`
    `static int` | `PNG_FILTER_AVERAGE`
    `static int` | `PNG_FILTER_NONE`
    `static int` | `PNG_FILTER_PAETH`
    `static int` | `PNG_FILTER_SUB`
    `static int` | `PNG_FILTER_UP`

    - ### Fields inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed

      `cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PNGRed(java.io.InputStream stream)`
    `PNGRed(java.io.InputStream stream, PNGDecodeParam decodeParam)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.WritableRaster` | `copyData(java.awt.image.WritableRaster wr)`
    `static java.awt.image.ColorModel` | `createComponentColorModel(java.awt.image.SampleModel sm)` A convenience method to create an instance of `ComponentColorModel` suitable for use with the given `SampleModel`.
    `java.awt.image.Raster` | `getTile(int tileX, int tileY)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed

      `copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PNG_COLOR_GRAY

          public static final int PNG_COLOR_GRAY

      See Also:
        Constant Field Values

    - #### PNG_COLOR_RGB

          public static final int PNG_COLOR_RGB

      See Also:
        Constant Field Values

    - #### PNG_COLOR_PALETTE

          public static final int PNG_COLOR_PALETTE

      See Also:
        Constant Field Values

    - #### PNG_COLOR_GRAY_ALPHA

          public static final int PNG_COLOR_GRAY_ALPHA

      See Also:
        Constant Field Values

    - #### PNG_COLOR_RGB_ALPHA

          public static final int PNG_COLOR_RGB_ALPHA

      See Also:
        Constant Field Values

    - #### PNG_FILTER_NONE

          public static final int PNG_FILTER_NONE

      See Also:
        Constant Field Values

    - #### PNG_FILTER_SUB

          public static final int PNG_FILTER_SUB

      See Also:
        Constant Field Values

    - #### PNG_FILTER_UP

          public static final int PNG_FILTER_UP

      See Also:
        Constant Field Values

    - #### PNG_FILTER_AVERAGE

          public static final int PNG_FILTER_AVERAGE

      See Also:
        Constant Field Values

    - #### PNG_FILTER_PAETH

          public static final int PNG_FILTER_PAETH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PNGRed

          public PNGRed(java.io.InputStream stream)
                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### PNGRed

          public PNGRed(java.io.InputStream stream,
                        PNGDecodeParam decodeParam)
                 throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### createComponentColorModel

          public static java.awt.image.ColorModel createComponentColorModel(java.awt.image.SampleModel sm)

      A convenience method to create an instance of `ComponentColorModel` suitable for use with the given `SampleModel`. The `SampleModel` should have a data type of `DataBuffer.TYPE_BYTE`, `TYPE_USHORT`, or `TYPE_INT` and between 1 and 4 bands. Depending on the number of bands of the `SampleModel`, either a gray, gray+alpha, rgb, or rgb+alpha `ColorModel` is returned.

    - #### copyData

          public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

    - #### getTile

          public java.awt.image.Raster getTile(int tileX,
                                               int tileY)

      Specified by:
        `getTile` in interface `java.awt.image.RenderedImage`
      Overrides:
        `getTile` in class `AbstractRed`

Copyright 1999-2023 The Apache Software Foundation. All Rights Reserved.